be.ehealth.businessconnector.dmg.exception

## Enum DmgBusinessConnectorExceptionValues

- java.lang.Object
- - java.lang.Enum<DmgBusinessConnectorExceptionValues>
  - - be.ehealth.businessconnector.dmg.exception.DmgBusinessConnectorExceptionValues

- All Implemented Interfaces:
    Serializable, Comparable<DmgBusinessConnectorExceptionValues>

      public enum DmgBusinessConnectorExceptionValues
      extends Enum<DmgBusinessConnectorExceptionValues>

  Enumeration for possible Dmg business exceptions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR_XML_DMGVALIDATOR` XML is not correct: {0}
    `ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR` XML is not correct: {0}
    `MALFORMED_URL` Invalid url to {0} file
    `PARAMETER_NULL` Could not find the settings file : {0}
    `SETTINGS_NOT_FOUND` Could not find the settings file : {0}
    `SOAP_EXC` SoapException occured : {0}
    `TARGET_SERVICE_ERROR` TargetService error description: {0}

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()`
    `String` | `getMessage()`
    `static DmgBusinessConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DmgBusinessConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TARGET_SERVICE_ERROR

          public static final DmgBusinessConnectorExceptionValues TARGET_SERVICE_ERROR

      TargetService error description: {0}

    - #### MALFORMED_URL

          public static final DmgBusinessConnectorExceptionValues MALFORMED_URL

      Invalid url to {0} file

    - #### SETTINGS_NOT_FOUND

          public static final DmgBusinessConnectorExceptionValues SETTINGS_NOT_FOUND

      Could not find the settings file : {0}

    - #### ERROR_XML_DMGVALIDATOR

          public static final DmgBusinessConnectorExceptionValues ERROR_XML_DMGVALIDATOR

      XML is not correct: {0}

    - #### ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR

          public static final DmgBusinessConnectorExceptionValues ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR

      XML is not correct: {0}

    - #### PARAMETER_NULL

          public static final DmgBusinessConnectorExceptionValues PARAMETER_NULL

      Could not find the settings file : {0}

    - #### SOAP_EXC

          public static final DmgBusinessConnectorExceptionValues SOAP_EXC

      SoapException occured : {0}

  - ### Method Detail

    - #### values

          public static DmgBusinessConnectorExceptionValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DmgBusinessConnectorExceptionValues c : DmgBusinessConnectorExceptionValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DmgBusinessConnectorExceptionValues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getErrorCode

          public String getErrorCode()

      Returns:
        the errorCode

    - #### getMessage

          public String getMessage()

      Returns:
        the message

Connector Package PERSDENTIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.